#include "forms.h"
#include "FlDnDDemo.h"
#include "FlDemo.h"

int main(int argc, char *argv[])
{
   fl_initialize(&argc, argv, 0, 0, 0);
   fd_screen = create_form_screen();
   
   data = (char *)calloc(1,4096);

   FlDndInitialize(fd_screen->screen);

   /* fill-in form initialization code */

   fl_addto_choice(fd_screen->ch1l,"Unknown Data"); 
   fl_addto_choice(fd_screen->ch1l,"Raw Data"); 
   fl_addto_choice(fd_screen->ch1l,"File"); 
   fl_addto_choice(fd_screen->ch1l,"Files"); 
   fl_addto_choice(fd_screen->ch1l,"Text"); 
   fl_addto_choice(fd_screen->ch1l,"Directory"); 
   fl_addto_choice(fd_screen->ch1l,"Link"); 
   fl_addto_choice(fd_screen->ch1l,"Program"); 

   fl_addto_choice(fd_screen->ch2l,"Nothing"); 
   fl_addto_choice(fd_screen->ch2l,"Drag"); 
   fl_addto_choice(fd_screen->ch2l,"Drop"); 
   fl_addto_choice(fd_screen->ch2l,"Drag and Drop"); 

   fl_addto_choice(fd_screen->ch1r,"Unknown Data"); 
   fl_addto_choice(fd_screen->ch1r,"Raw Data"); 
   fl_addto_choice(fd_screen->ch1r,"File"); 
   fl_addto_choice(fd_screen->ch1r,"Files"); 
   fl_addto_choice(fd_screen->ch1r,"Text"); 
   fl_addto_choice(fd_screen->ch1r,"Directory"); 
   fl_addto_choice(fd_screen->ch1r,"Link"); 
   fl_addto_choice(fd_screen->ch1r,"Program"); 

   fl_addto_choice(fd_screen->ch2r,"Nothing"); 
   fl_addto_choice(fd_screen->ch2r,"Drag"); 
   fl_addto_choice(fd_screen->ch2r,"Drop"); 
   fl_addto_choice(fd_screen->ch2r,"Drag and Drop"); 

   fl_set_object_posthandler(fd_screen->brl, handle_nothing);
   fl_set_object_posthandler(fd_screen->brr, handle_nothing);
   
   fd_screen->brl->u_ldata = 1;
   fd_screen->brr->u_ldata = 2;

   /* show the first form */
   fl_show_form(fd_screen->screen,FL_PLACE_CENTER,FL_FULLBORDER,"Demo by Helmut Bohr (Helmut.Bohr@T-Online.de)");
   fl_do_forms();
   return 0;
}
